%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for TagLib to read and write music files tags
Name: python-tag
Version: 0.94.1
Release: 1%{?dist}
License: BSD
Group: Development/Languages
URL: http://news.tiker.net/software/tagpy
Source0: http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.gz
Patch0: tagpy-0.93-configvars.patch
Patch1: tagpy-0.93-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: tagpy = %{version}-%{release}
BuildRequires: python-devel
BuildRequires: taglib-devel
BuildRequires: boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.


%prep
%setup -q -n tagpy-%{version}
%patch0 -p1 -b .configvars
%patch1 -p1 -b .gcc43


%build
./configure
CFLAGS="%{optflags} `pkg-config --cflags taglib`" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README test/*.py test/tagrename
%{python_sitearch}/*


%changelog
* Tue Apr 22 2008 Matthias Saou <http://freshrpms.net/> 0.94.1-1
- Update to 0.94.1, which includes Notting's patch.
- Remove separate LICENSE file, since the BSD license is now inside the README.

* Tue Apr 22 2008 Matthias Saou <http://freshrpms.net/> 0.93-2
- Include taglib1.5 patch from Bill Nottingham.
- Include everything under sitearch, egg file or not (easier).
- Re-add dist tag, the package changed more than I thought.

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 0.93-1
- Update to 0.93.
- Include new egg file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.91-5
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 0.91-4
- Rebuild against new boost packages.
- Remove dist tag, since the package will seldom change.

* Fri May 11 2007 Matthias Saou <http://freshrpms.net/> 0.91-3
- Actually include LICENSE file.

* Thu May 10 2007 Matthias Saou <http://freshrpms.net/> 0.91-2
- Include BSD license text, copied from the debian package (Debian #417372).
- Include minor patch for upstream 0.92 backports.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0.91-1
- Initial RPM release.

